"use strict";

exports.__esModule = true;
exports.isCallback = isCallback;
exports.isOptions = isOptions;
exports.firstOfType = firstOfType;
exports.isDependencies = void 0;

function isCallback(x) {
  return x && typeof x === 'function';
}

function isOptions(x) {
  return x && typeof x === 'object' && !(x instanceof Array);
}

var isDependencies = function isDependencies(x) {
  return x && x instanceof Array;
};

exports.isDependencies = isDependencies;

function firstOfType(selector) {
  for (var _len = arguments.length, vars = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    vars[_key - 1] = arguments[_key];
  }

  return vars.find(function (i) {
    return selector(i);
  });
}
//# sourceMappingURL=generic.js.map