"use strict";

exports.__esModule = true;
exports.useCommand = useCommand;

var _react = require("react");

var _generic = require("./generic");

var _useClient = require("./use-client");

function useCommand(command, options, callback, dependencies) {
  var _firstOfType;

  var client = (0, _useClient.useClient)();
  var actualOptions = (0, _generic.firstOfType)(_generic.isOptions, options);
  var actualCallback = (0, _generic.firstOfType)(_generic.isCallback, options, callback);
  var actualDependencies = (_firstOfType = (0, _generic.firstOfType)(_generic.isDependencies, options, callback, dependencies)) != null ? _firstOfType : [command, actualOptions, actualCallback].filter(function (i) {
    return i;
  });
  return (0, _react.useCallback)(function () {
    return client.command(command, actualOptions, actualCallback);
  }, [client].concat(actualDependencies));
}
//# sourceMappingURL=use-command.js.map